%define	name	xcdroast
%define	alpharel	alpha15
%define	alpha	a15
%define	rel	36
%define release	%mkrel %{rel}.%{alpharel}

Summary:	A GUI program for burning CDs
Name:		xcdroast
Version:	0.98
Release:	%{release}
Epoch:		9
URL:		http://www.xcdroast.org/
Source:		http://xcdroast.sourceforge.net/RPMS/%{alpha}/src/%{name}-%{version}%{alpharel}.tar.bz2
# icon
Patch:		xcdroast-0.98alpha15-dvd.patch.bz2
Patch1:		xcdroast-0.98alpha15-64bit-fixes.patch.bz2
Patch2:		xcdroast-0.98alpha15.spell.patch.bz2
Patch3:		xcdroast-linux-new_kernel.patch.bz2
License:	GPL
Group:		Archiving/Cd burning
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	cdrecord >= 4:2.01-0.a25.4mdk cdrecord-cdda2wav >= 4:2.01-0.a25.4mdk mkisofs >= 1:2.01-0.a25.4mdk
BuildRequires:	gtk2-devel libgdk_pixbuf2.0-devel pcre-devel pkgconfig
BuildRequires:	ImageMagick
BuildRequires:	bison

%description
X-CD-Roast is a program-package dedicated to easy CD creation
under most Unix-platforms. It combines command line tools like "cdrecord",
"cdda2wav", and "mkisofs" into a nice graphical user interface.

Features:
     Self-explanatory X11 user interface. 
     Automatic SCSI-hardware setup 
     Copies of ISO9660-CDs, some non-ISO9660-CDs, and audio CDs
     Production of new ISO9660 data CDs ("mastering")
     Production of new audio CDs
     Fast copying of CDs without hardisk buffering 
     Logfile option
     User interface in more than 10 languages

%prep
%setup -q -n %{name}-%{version}%{alpharel}
%patch -p1 -z .dvd
%patch1 -p1 -b .64bit-fixes
%patch2 -p1 -b .spell
%patch3 -p0

%build
%configure2_5x --with-xcdroast-libdir-prefix=%{_libdir}/xcdroast-0.98 --enable-gtk2
%make PREFIX=%{_prefix}

%install
rm -fr %{buildroot}
%makeinstall_std PREFIX=%{_prefix}

# icons
mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert -size 48x48 xpms/xcdricon.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -size 32x32 xpms/xcdricon.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 16x16 xpms/xcdricon.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# menu
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/xcdroast <<EOF
?package(xcdroast): command="xcdroast -n" \
needs="X11" \
icon="%{name}.png" \
section="Applications/Archiving/CD Burning" \
title="X-CD-Roast" \
longtitle="X-CD-Roast"
EOF

%find_lang %{name}

%post 
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog doc README 
%{_bindir}/xcdroast
%dir %{_libdir}/xcdroast-0.98
%dir %{_libdir}/xcdroast-0.98/bin
%{_libdir}/xcdroast-0.98/bin/*
%dir %{_libdir}/xcdroast-0.98/icons
%{_libdir}/xcdroast-0.98/icons/*
%dir %{_libdir}/xcdroast-0.98/sound
%{_libdir}/xcdroast-0.98/sound/*
%{_menudir}/xcdroast
%{_mandir}/man1/xcdroast.1*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Fri Jul 15 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.98-36.alpha15mdk
- %%mkrel
- cosmetics
- from Michael Collard <quadfour@iinet.net.au> :
	o patch for non root writing on recent kernels (suid but not used)

* Mon Sep 06 2004 Marcel Pol <mpol@mandrake.org> 9:0.98-35.alpha15mdk
- fix menu section

* Wed Aug 25 2004 Warly <warly@mandrakesoft.com> 9:0.98-34.alpha15mdk
- fix a missing word (from list -> from this list)

* Wed Apr 14 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.98-33.alpha15mdk
- 64-bit fixes

* Mon Mar  1 2004 Warly <warly@mandrakesoft.com> 9:0.98-32.alpha15mdk
- Update DVD patch to allow ide burning

* Fri Jan 23 2004 Austin Acton <austin@mandrake.org> 0.98-31.alpha15mdk
- 0.98alpha15
- enable gtk2 build
- rediff the dvd patch
- add icon
- add some buildrequires

* Thu Oct  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.98-30.alpha14mdk
- fix build

* Mon Aug 11 2003 Warly <warly@mandrakesoft.com> 9:0.98-29.alpha14mdk
- fix segfault on startup with new cdrecord message

* Mon Jun 16 2003 Warly <warly@mandrakesoft.com> 9:0.98-28.alpha14mdk
- new version
- Activate DVD burning

* Thu Feb 20 2003 Warly <warly@mandrakesoft.com> 9:0.98-27.alpha13mdk
- new version
- rollback new child processing code completely 
- fixes the multisession problems introduced in alpha12.

* Fri Dec 27 2002 Warly <warly@mandrakesoft.com> 9:0.98-26mdk
- new version alpha12

* Fri Dec  6 2002 Warly <warly@mandrakesoft.com> 9:0.98-25mdk
- new version

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.98-24mdk
- Make it lib64 aware

* Wed Sep  4 2002 Warly <warly@mandrakesoft.com> 9:0.98-23mdk
- change xcdwrite group to cdwriter group

* Mon Jul 29 2002 Stefan van der Eijk <stefan@eijk.nu> 0.98-22mdk
- BuildRequires

* Fri Apr 26 2002 Daouda LO <daouda@mandrakesoft.com> 0.98-21mdk
- big cleanup from Thomas Niederreiter 
		o add missing files
		o remove obsolete actions
		o spec cleanups
		o remove patches

* Thu Apr 25 2002 Daouda LO <daouda@mandrakesoft.com> 0.98-20mdk
- 0.98alpha10
	o redesign dialogs on startup
	o allow to select multiple master-paths/excludes at the same time
	o man page
    o pushed max write speed to 64x ...

* Thu Apr 18 2002 Daouda LO <daouda@mandrakesoft.com> 0.98-19mdk
- mkisofs-1.15a21

* Fri Apr 12 2002 Daouda LO <daouda@mandrakesoft.com> 0.98-18mdk
- no version check in menu : Denis Pelletier <denis.pelletier@umontreal.ca>

* Fri Apr 12 2002 Daouda LO <daouda@mandrakesoft.com> 0.98-17mdk
- cdrecord-1.11a19, mkisofs-1.11a20
- no root-mode for cd audio access (cdda2wav > a19)

* Wed Feb 27 2002 Daouda LO <daouda@mandrakesoft.com> 0.98-16mdk
- for cdrecord-1.11-0.a15

* Sun Feb 17 2002 Daouda LO <daouda@mandrakesoft.com> 0.98-15mdk
- update to cdrecord-1.11-0.a14.

* Fri Jan 25 2002 Daouda LO <daouda@mandrakesoft.com> 0.98-14mdk
- dirty fix for cdrecord-1.11-0.a13. 

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.98-13mdk
- Fix menu entry using png icon

* Wed Oct 10 2001 Till Kamppeter <till@mandrakesoft.com> 0.98-12mdk
- Rebuilt for libpng3.

* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 0.98-11mdk
- Use new icons
- Use right macros for update/clean_menus

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.98-10mdk
- BuildRequires: gtk+-devel imlib-devel
- Copyright --> License

* Tue Aug  7 2001 Till Kamppeter <till@mandrakesoft.com> 0.98-9mdk
- Updated to version 0.98alpha9.

* Fri Jun  7 2001 Till Kamppeter <till@mandrakesoft.com> 0.98-8mdk
- Downdated to version 0.98alpha6 (non-root-mode introduced in 0.98alpha7
  does not work with GTK 1.2.9, 0.98alpha6 can simply be started as normal
  user when backends have correct permissions)
- Enabled usage by non-root users via non-root mode of X-CD-Roast
- Enabled usage with cdrecord > 1.9

* Fri Mar 30 2001 Till Kamppeter <till@mandrakesoft.com> 0.98-7mdk
- Replaced translation update file by the current one

* Tue Feb  6 2001 Daouda Lo <daouda@mandrakesoft.com> 0.98-6mdk
- release alpha 8
- regenerate patch

* Mon Jan 29 2001  Daouda Lo <daouda@mandrakesoft.com> 0.98-5mdk
- really fix xcdroast requiring cdrtools 1.9 .

* Fri Jan 26 2001  Daouda Lo <daouda@mandrakesoft.com> 0.98-4mdk
- fix  requires (thanx Ed) 

* Fri Jan 26 2001  Daouda Lo <daouda@mandrakesoft.com> 0.98-3mdk
- fix dependencies with cdrecord (thanx Quel Qun)
- fix standard dir owned by packages 

* Thu Oct 05 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.98-2mdk
- All icons size.
- Icons now work.

* Sun Sep  3 2000 Till Kamppeter <till@mandrakesoft.com> 0.98-1mdk
- Old ChangeLog removed becasue structure of specfile is completely new
- Complete replacement by the new GTK-based X-CD-Roast 0.98
- initial release
